Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
NormsWriterPerField.h File Reference
`#include "InvertedDocEndConsumerPerField.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::NormsWriterPerField
| Taps into DocInverter, as an InvertedDocEndConsumer, which is called at the end of inverting each field. We just look at the length for the field (docState.length) and record the norm. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net